
function mengenTest(): void {

 var zahlen1: number[];
 zahlen1 = [1, 2, 3, 4];

 ausgabe(zahlen1[1].toString());

 var zahlen2: Array<number>;
 zahlen2 = [1, 2, 3, 4];

 ausgabe(zahlen1[1].toString());

 // Tupel (ab TypeScript 1.3)
 // Das erste Element ist eine Zahl, das zweite ein String, drittes eine Zahl, viertes ein String
 var zahlenTexte: [number, string, number, string];
 zahlenTexte = [1, "zwei",3, "vier"];
 ausgabe(zahlenTexte[0].toString());
 ausgabe(zahlenTexte[1]);
 ausgabe(zahlenTexte[2].toString());
 ausgabe(zahlenTexte[3]);
}